# System-wide .bashrc file for interactive bash(1) shells.

# To enable the settings / commands in this file for login shells as well,
# this file has to be sourced in /etc/profile.

# If not running interactively, don't do anything
[ -z "$PS1" ] && return

# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize

# set variable identifying the chroot you work in (used in the prompt below)
if [ -z "$debian_chroot" ] && [ -r /etc/debian_chroot ]; then
    debian_chroot=$(cat /etc/debian_chroot)
fi

# set a fancy prompt (non-color, overwrite the one in /etc/profile)
PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '

# Commented out, don't overwrite xterm -T "title" -n "icontitle" by default.
# If this is an xterm set the title to user@host:dir
#case "$TERM" in
#xterm*|rxvt*)
#    PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
#    ;;
#*)
#    ;;
#esac

# enable bash completion in interactive shells
#if [ -f /etc/bash_completion ] && ! shopt -oq posix; then
#    . /etc/bash_completion
#fi

# if the command-not-found package is installed, use it
if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
	function command_not_found_handle {
	        # check because c-n-f could've been removed in the meantime
                if [ -x /usr/lib/command-not-found ]; then
		   /usr/bin/python /usr/lib/command-not-found -- "$1"
                   return $?
                elif [ -x /usr/share/command-not-found/command-not-found ]; then
		   /usr/bin/python /usr/share/command-not-found/command-not-found -- "$1"
                   return $?
		else
		   printf "%s: command not found\n" "$1" >&2
		   return 127
		fi
	}
fi

export LANG=en_US.UTF-8
export HISTCONTROL=ignoreboth
shopt -s histappend
shopt -s checkwinsize

alias ping='ping -n'
alias gem='TAR_OPTIONS=--no-same-owner gem'

PS1='\[\e[1;37m\]d\[\e[0m\][\t] [${debian_chroot:+($debian_chroot)}\u@\h \w]\$ '

. /usr/local/share/chruby/chruby.sh

# Selecting the latest ruby in opt
chruby $(chruby | head -1 | tr -d '*') 2>/dev/null

#export LD_LIBRARY_PATH='/mnt/chroots/texlive/srv/current/jessie/lib:.'
export PATH="/opt/bin:/mnt/chroots/texlive/srv/current/jessie/bin:$PATH"
export PERL5LIB=/mnt/chroots/texlive/usr/share/texlive/texmf-dist/scripts/texlive

